Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 177562 - Premature initialization of GlassFish and XML
Premature initialization of GlassFish and XML
Status: VERIFIED FIXED
Product: serverplugins
Classification: Unclassified
Component: GlassFish
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Vince Kraemer
issues@serverplugins
perf-whitelist, 68patch1-verified
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-25 01:54 UTC by Jaroslav Tulach
Modified: 2010-01-25 06:27 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2009-11-25 01:54:34 UTC
While processing the whitelist classes
http://wiki.netbeans.org/FitnessViaWhiteAndBlackList
I realized that a bunch of GlassFish related functionality is loaded prematurely.

    org.netbeans.modules.glassfish.common.GlassfishInstanceProvider
    org.netbeans.modules.glassfish.javaee.RunTimeDDCatalog
    org.netbeans.modules.glassfish.javaee.ide.RegisteredDDCatalogImpl
    org.netbeans.modules.glassfish.spi.CommandFactory
    org.netbeans.modules.glassfish.spi.RegisteredDDCatalog
    org.netbeans.modules.xml.api.model.GrammarQueryManager

There shall be no activity of any serverplugin on start of the IDE. Only when user starts to manipulate with Server node or wizard, you can activate appropriate plugins (preferably just those that are installed, not all).
Comment 1 Jaroslav Tulach 2009-11-25 01:57:03 UTC
When fixed, please: hg backout 0bbf91409c13
http://hg.netbeans.org/ergonomics/rev/0bbf91409c13
and re-run the whitelist tests as described at
http://wiki.netbeans.org/FitnessViaWhiteAndBlackList
Comment 2 Vince Kraemer 2009-11-25 08:29:47 UTC
it seems like the GF modules are the code that triggers activity in but I am not sure that our code is the only cause for activity there.
Comment 3 Pavel Flaska 2009-11-26 05:45:58 UTC
Added Whiteboard.
Comment 4 Vince Kraemer 2009-12-04 14:29:36 UTC
http://hg.netbeans.org/web-main/rev/b5325fab2208
Comment 5 Vince Kraemer 2009-12-04 18:18:22 UTC
a bit more testing uncovered a fatal flaw with my change... so I am reverting it and reopening this issue
Comment 6 Quality Engineering 2009-12-05 14:36:13 UTC
Integrated into 'main-golden', will be available in build *200912051400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b5325fab2208
User: Vince Kraemer <vkraemer@netbeans.org>
Log: #177562: avoid loading some classes... clean up the whitelist, too.
Comment 7 Vince Kraemer 2009-12-08 12:52:20 UTC
http://hg.netbeans.org/web-main/rev/10e90cc864ef
Comment 8 Vince Kraemer 2009-12-09 18:05:12 UTC
need to include this if the primary change goes into a patch release

http://hg.netbeans.org/web-main/rev/dcc2bed56b0c
Comment 9 Quality Engineering 2009-12-10 02:34:15 UTC
Integrated into 'main-golden', will be available in build *200912100200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/10e90cc864ef
User: Vince Kraemer <vkraemer@netbeans.org>
Log: #177562:  Premature initialization of GlassFish and XML
Comment 10 Quality Engineering 2009-12-10 15:00:59 UTC
Integrated into 'main-golden', will be available in build *200912101400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/dcc2bed56b0c
User: Vince Kraemer <vkraemer@netbeans.org>
Log: #177562: Premature initialization of GlassFiah and XML
one more additional change necessary
[exposed by testing remote deployment]
Comment 11 pgebauer 2010-01-20 05:15:20 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/b73a3a8117f9


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo